<div ng-controller="FilterController as filter">
  <div class="row">
    <div class="col-xs-2">
      <div uib-dropdown 
           class="row" 
           auto-close="outsideClick">
        <button uib-dropdown-toggle 
                class="btn btn-default col-xs-10 col-offset-xs-1">
          departments
          <span class="caret"></span>
        </button>
        <ul uib-dropdown-menu>
          <li ng-repeat="department in dept.departments">
            <a class="col-xs-12" 
               ng-href="/#/department/{{ department.id }}/{{ dept.nextWeek - 1 }}">
              {{ department.name }}
            </a>
          </li>
        </ul>
      </div> 
    </div>
    <div class="col-xs-2">
      <filter-checkbox type="filter.criteria['roles']" name="'roles'"/>
    </div>  
    <div class="col-xs-2">
      <filter-checkbox type="filter.criteria['skills']" name="'skills '"/>
    </div>  
    <div class="col-xs-2">
      <filter-checkbox type="filter.criteria['languages']" name="'languages '"/>
    </div>  
    <div class="col-xs-2">
      <filter-checkbox type="filter.criteria['shifts']" name="'shifts '"/>
    </div>  
    <div class="form-group col-xs-2"> 
      <input type="text" 
             class="form-control" 
             placeholder="type name to search" 
             ng-model="filter.criteria['person_name']">
      </input>
    </div>
  </div>

  <div style="overflow: auto; max-height: 55em;">
    <table class="table">
      <thead>
        <th>Name</th>
        <th>Roles</th>
        <th>Skills</th>
        <th>Lang</th>
        <th>{{ dept.monday }}</th>
        <th>{{ dept.tuesday }}</th>
        <th>{{ dept.wednsday }}</th>
        <th>{{ dept.thursday }}</th>
        <th>{{ dept.friday }}</th>
      </thead>
      <tbody>
        <tr ng-repeat="person in dept.people | peopleFilter:filter.criteria">
          <td>{{ person.name }}</td>
          <td>
            <div ng-repeat="role in person.roles">
              {{ role.name }}
            </div>
          </td>
          <td>
            <div ng-repeat="skill in person.skills">
              {{ skill.name }}
            </div>
          </td>
          <td>
            <div ng-repeat="language in person.languages">
              {{ language.name }}
            </div>
          </td>
          <td ng-repeat="shift in person['shifts']">
            {{ shift.name }}
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
<div class="row">
  <div class="col-xs-1">
    <a class="btn btn-default col-xs-10" ng-href="/#/department/{{ dept.dept_id }}/{{ dept.prevWeek }}">prev</a>
  </div>
  <div class="col-xs-10"></div>
  <div class="col-xs-1">
    <a class="btn btn-default col-xs-10" ng-href="/#/department/{{ dept.dept_id }}/{{ dept.nextWeek }}">next</a>
  </div>
</div>
